Subject: Re: [ANNOUNCEMENT] Release candidate: gcc-3.4.1-1
From: "Gerrit P. Haase" <[email-masked]>
To: "Krzysztof Duleba" <[email-masked]>
Cc: [email-masked]
Date: Wed, 25 Aug 2004 20:28:31 +0200

Krzysztof schrieb:

> Gerrit P. Haase wrote:

>> > Is this true? I have 3.3.1 libraries in /lib and
>> > /lib/gcc-lib/i686-pc-cygwin/3.3.1, but 2.95 libraries only in
>> > /lib/gcc-lib/i686-pc-cygwin/2.95.3-10.
>>
>> There was no libjava with 2.x compilers.  There was no libobjc with 2.x
>> compilers.  What about libstdc++?

> As I said, 2.95 holds all its libraries, including libstdc++, in
> /lib/gcc-lib/i686-pc-cygwin/2.95.3-10.

Interesting, I would be interested why the previous maintainer switched
to unversioned runtime libs.

>> Hmmm, I don't like maintaining two versions of a package, if 3.4 is
>> stable it will be the one and only current version.

> I'm aware of it and that's why I'm asking. That would be the final release
> of 3.3, able to coexist with 3.4. Then you could happily forget about 3.3.

This is an option.  I'll think about it.

> This would make no sense if 3.4 is binary compatible with 3.3. Are
> differences between 3.3 and 3.4 significant?

At least C++ has improved much and is not compatible (you cannot use one
libstdc++ for both versions.

Gerrit
-- 
=^..^=

--
Unsubscribe info:      http://cygwin.com/ml/#unsubscribe-simple
Problem reports:       http://cygwin.com/problems.html
Documentation:         http://cygwin.com/docs.html
FAQ:                   http://cygwin.com/faq/